Subject: RFC 4433

From: Alfred Hönes <[email-masked]>
Date: Thu, 9 Nov 2006 19:13:57 +0100 (MEZ)

Hello,
after studying RFC 4433 (Dyn. MIP4 HA Assignment) authored
by you and published a couple of months ago, I'd like to
submit a few comments.

I found one significant textual issue, and countless minor
textual flaws (typos, missing articles, grammar, etc.) in
that memo.

The former is detailed below and might be worth of an Errata
Note submitted to the RFC Editor's RFC Errata web pages;
for the moment, to save some of my spare time, I have not yet
compiled a list of the latter issues (marked on my printed
copy of the RFC).

If you would like to receive such list, in particular for later
consideration, should some time in the future any derived work
be intended, please let me know, but admit a significant delay
for my response.

(1)  wrong term used

In the 3rd paragraph of Section 5.3.1 of RFC 4433, at the bottom
of page 17, and in the headline and the table caption of Table 1,
on page 18, the RFC text uses the term "Assigned HA".
According to, e.g., the explanations in bullet 1 of Section 5.3,
this is not correct; the term to be used is "Requested HA";
it will eventually become the "Assigned HA" if the conditions
mentioned are met, but the behaviour described strictly applies
to the "Requested HA" role.

Hence:

a) The last 3 lines of page 17,

   The following table summarizes the behavior of the Assigned HA, based
   on the value of the destination IP address and Home Agent field of
   the Registration Request.

should better say (also fixing another flaw):

|  The following table summarizes the behavior of the Requested HA,
   based on the value of the destination IP address and the Home Agent
|  Address field of the Registration Request.

b) The first line of page 18 (headline of Table 1),

   Dest IP Addr   HA field      Processing at Assigned HA

should better say:

   Dest IP Addr   HA field      Processing at Requested HA

c) On mid-page 18, the line (table caption),

     Table 1: Registration Request Handling at Assigned HA

should better say:

     Table 1: Registration Request Handling at the Requested HA

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+